package com.izouma.awesomeadmin.model;

import java.util.*;
import com.fasterxml.jackson.annotation.JsonAutoDetect;
import com.fasterxml.jackson.annotation.JsonInclude;


@JsonAutoDetect
@JsonInclude(JsonInclude.Include.NON_NULL)
public class ArContentChild{
    private Integer id;
    private String delFlag;
    private Date updateTime;
    private String updateUser;
    private Date createTime;
    private String createUser;
    private String arContentId;
    private String type;
    private String remark1;
    private String remark2;
    private String remark3;
    private String remark4;
    private String remark5;
    private String remark6;
    private String remark7;
    private String remark8;
    private String remark9;
    private String remark10;
    private String remark11;
    private String remark12;
    private String remark13;
    private String remark14;
    private String remark15;

private String idStr;

private String searchKey;

/**
* and,test_name,like,value;or,remark,=,123
*/
private String advancedQuery;

/**
* column_name_,desc_;column_name_,asc
*/
private String orderByStr;

    public Integer getId(){
        return this.id;
    }

    public void setId(Integer id){
        this.id = id;
    }
    public String getDelFlag(){
        return this.delFlag;
    }

    public void setDelFlag(String delFlag){
        this.delFlag = delFlag;
    }
    public Date getUpdateTime(){
        return this.updateTime;
    }

    public void setUpdateTime(Date updateTime){
        this.updateTime = updateTime;
    }
    public String getUpdateUser(){
        return this.updateUser;
    }

    public void setUpdateUser(String updateUser){
        this.updateUser = updateUser;
    }
    public Date getCreateTime(){
        return this.createTime;
    }

    public void setCreateTime(Date createTime){
        this.createTime = createTime;
    }
    public String getCreateUser(){
        return this.createUser;
    }

    public void setCreateUser(String createUser){
        this.createUser = createUser;
    }
    public String getArContentId(){
        return this.arContentId;
    }

    public void setArContentId(String arContentId){
        this.arContentId = arContentId;
    }
    public String getType(){
        return this.type;
    }

    public void setType(String type){
        this.type = type;
    }
    public String getRemark1(){
        return this.remark1;
    }

    public void setRemark1(String remark1){
        this.remark1 = remark1;
    }
    public String getRemark2(){
        return this.remark2;
    }

    public void setRemark2(String remark2){
        this.remark2 = remark2;
    }
    public String getRemark3(){
        return this.remark3;
    }

    public void setRemark3(String remark3){
        this.remark3 = remark3;
    }
    public String getRemark4(){
        return this.remark4;
    }

    public void setRemark4(String remark4){
        this.remark4 = remark4;
    }
    public String getRemark5(){
        return this.remark5;
    }

    public void setRemark5(String remark5){
        this.remark5 = remark5;
    }
    public String getRemark6(){
        return this.remark6;
    }

    public void setRemark6(String remark6){
        this.remark6 = remark6;
    }
    public String getRemark7(){
        return this.remark7;
    }

    public void setRemark7(String remark7){
        this.remark7 = remark7;
    }
    public String getRemark8(){
        return this.remark8;
    }

    public void setRemark8(String remark8){
        this.remark8 = remark8;
    }
    public String getRemark9(){
        return this.remark9;
    }

    public void setRemark9(String remark9){
        this.remark9 = remark9;
    }
    public String getRemark10(){
        return this.remark10;
    }

    public void setRemark10(String remark10){
        this.remark10 = remark10;
    }
    public String getRemark11(){
        return this.remark11;
    }

    public void setRemark11(String remark11){
        this.remark11 = remark11;
    }
    public String getRemark12(){
        return this.remark12;
    }

    public void setRemark12(String remark12){
        this.remark12 = remark12;
    }
    public String getRemark13(){
        return this.remark13;
    }

    public void setRemark13(String remark13){
        this.remark13 = remark13;
    }
    public String getRemark14(){
        return this.remark14;
    }

    public void setRemark14(String remark14){
        this.remark14 = remark14;
    }
    public String getRemark15(){
        return this.remark15;
    }

    public void setRemark15(String remark15){
        this.remark15 = remark15;
    }

public String getSearchKey() {
    return searchKey;
}

public void setSearchKey(String searchKey) {
    this.searchKey = searchKey;
}

public String getAdvancedQuery() {
    return advancedQuery;
}

public void setAdvancedQuery(String advancedQuery) {
    this.advancedQuery = advancedQuery;
}

public String getOrderByStr() {
    return orderByStr;
}

public void setOrderByStr(String orderByStr) {
    this.orderByStr = orderByStr;
}

public String getIdStr() {
    return idStr;
}

public void setIdStr(String idStr) {
    this.idStr = idStr;
}

}

